<?php //phpcs:ignore WordPress.WP.TimezoneChange.DeprecatedSniff

defined( 'ABSPATH' ) || exit; //Exit if accessed directly

/**
 * Class WFFN_Landing_Pages_Divi
 */
class WFFN_Landing_Pages_Divi {

	private static $ins = null;
	protected $template_type = [];
	protected $design_template_data = [];
	protected $templates = [];
	private $edit_id = 0;
	private $url = '';

	/**
	 * WFFN_Landing_Pages_Elementor constructor.
	 */
	public function __construct() {
		$this->url = plugin_dir_url( __FILE__ );
		$this->process_url();


	}

	private function process_url() {
		if ( isset( $_REQUEST['page'] ) && 'wf-lp' === $_REQUEST['page'] && isset( $_REQUEST['edit'] ) && $_REQUEST['edit'] > 0 ) {  //phpcs:ignore WordPress.Security.NonceVerification.Recommended
			$this->edit_id = absint( $_REQUEST['edit'] ); //phpcs:ignore WordPress.Security.NonceVerification.Recommended
			$this->add_default_templates();
		}
	}

	public function add_default_templates() {
		$template = [
			'slug'        => 'divi',
			'title'       => __( 'Divi', 'funnel-builder' ),
			'button_text' => __( 'Edit', 'funnel-builder' ),
			'edit_url'    => add_query_arg( [
				'p'         => $this->edit_id,
				'et_fb'     => 1,
				'PageSpeed' => 'off',
			], site_url() ),
		];

		WFFN_Core()->landing_pages->register_template_type( $template );
		$templates = WooFunnels_Dashboard::get_all_templates();
		$designs   = isset( $templates['landing'] ) ? $templates['landing'] : [];

		if ( isset( $designs['divi'] ) && is_array( $designs['divi'] ) ) {
			foreach ( $designs['divi'] as $d_key => $templates ) {

				if ( isset( $templates['pro'] ) && 'yes' === $templates['pro'] ) {
					$templates['license_exist'] = WFFN_Core()->admin->get_license_status();
				}
				WFFN_Core()->landing_pages->register_template( $d_key, $templates, 'divi' );

			}
		} else {

			$empty_template = [
				"type"               => "view",
				"import"             => "no",
				"show_import_popup"  => "no",
				"slug"               => "divi_1",
				"build_from_scratch" => true,

			];
			WFFN_Core()->landing_pages->register_template( 'divi_1', $empty_template, 'divi' );
		}

		return [];
	}

	/**
	 * @return WFFN_Landing_Pages_Divi|null
	 */
	public static function get_instance() {
		if ( null === self::$ins ) {
			self::$ins = new self;
		}

		return self::$ins;
	}

	public function default_design_data() {
		return [
			'selected'        => 'divi',
			'selected_type'   => 'divi_1',
			'template_active' => 'no',
		];
	}

}

WFFN_Landing_Pages_Divi::get_instance();
