<?php
/**
 * Integration tab setting
 */
defined( 'ABSPATH' ) || exit; //Exit if accessed directly
?>
<div id="wffn_op_edit_vue_wrap">
	<?php
	if ( class_exists( 'WFFN_Header' ) ) {
		$header_ins = new WFFN_Header();
		$header_ins->set_level_1_navigation_active( 'funnels' );
	
		ob_start();
		?>
		<div class="wf_funnel_card_switch">
			<label class="wf_funnel_switch">
				<input type="checkbox" <?php checked( 'publish', WFOPP_Core()->optin_pages->get_status() ); ?>>
				<div class="wf_funnel_slider"></div>
			</label>
		</div>
		<?php
		$publisher = ob_get_contents();
		ob_end_clean();
		$header_ins->set_level_2_side_type('both');
		$header_ins->set_level_2_right_html($publisher);

		ob_start();
		?>
		<div class="bwf_breadcrumb">
				<div class="bwf_before_bre"></div>
				<?php BWF_Admin_Breadcrumbs::render_top_bar(); //phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>
				<div class="bwf_after_bre">
					<a v-on:click="updateOptin()" href="javascript:void(0);" class="bwf_edt">
						<?php echo file_get_contents(  plugin_dir_path( WFFN_PLUGIN_FILE ) . 'admin/assets/img/icons/edit.svg'  ); //phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>
					</a>
					<a v-bind:href="view_url" target="_blank" class="wffn-step-preview wffn-step-preview-admin">
						<?php echo file_get_contents(  plugin_dir_path( WFFN_PLUGIN_FILE ) . 'admin/assets/img/icons/view.svg'  ); //phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>
					</a>
				</div>
			</div>
		<?php
		$breadcrumb = ob_get_contents();
		ob_end_clean();
		$header_ins->set_level_2_post_title($breadcrumb); //used set_level_2_post_title as left inner html
		
		$header_nav_data = WFOPP_Core()->optin_pages->admin->get_tabs_links( WFOPP_Core()->optin_pages->get_edit_id() ); //navigation data
		$header_nav_data = array_column( $header_nav_data, null, 'section' );
		$header_ins->set_level_2_side_navigation( $header_nav_data ); //set header 2nd level navigation
		$header_ins->set_level_2_side_navigation_active( filter_var( $_GET['section'], FILTER_SANITIZE_STRING) ); // active navigation

		echo $header_ins->render();//phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
	}
	?>

	<div class="wrap">
	
		<?php
		$form_builders = WFOPP_Core()->form_controllers->get_supported_form_controllers();
	
	
		$optin_form_options = WFOPP_Core()->optin_pages->get_optin_form_integration_option();
		$is_inti            = isset( $optin_form_options['optin_form_enable'] ) ? $optin_form_options['optin_form_enable'] : 'false';
	
		$lms_obj = WFOPP_Core()->optin_actions->get_integration_object( 'assign_ld_course' );
	
		$lms_active     = false;
		$hide_class_lms = '';
		$hide_class_crm = '';
		if ( $lms_obj instanceof WFFN_Optin_Action ) {
			$lms_active = $lms_obj->should_register();
		}
		if ( ! $lms_active ) {
			$hide_class_lms = 'hide_bwf_btn';
		}
		if ( ! WFFN_Common::wffn_is_funnel_pro_active() ) {
			$hide_class_crm = 'hide_bwf_btn';
		}
	
		?>
		<div class="wffn-tabs-view-vertical wffn-widget-tabs">
	
			<div class="wffn-tabs-wrapper wffn-tab-center">
				<div class="wffn-tab-title wffn-tab-desktop-title wffn-active" data-tab="1" role="tab">
					<?php esc_html_e( 'Notifications', 'funnel-builder' ); ?>
				</div>
				<div class="wffn-tab-title wffn-tab-desktop-title crm_only <?php echo esc_attr( $hide_class_crm ); ?>" data-tab="2" role="tab"><?php esc_html_e( 'CRM', 'funnel-builder' ); ?></div>
				<div class="wffn-tab-title wffn-tab-desktop-title <?php echo esc_attr( $hide_class_lms ); ?>" data-tab="3" role="tab"><?php esc_html_e( 'Learndash', 'funnel-builder' ); ?></div>
				<?php do_action('wffn_optin_action_tabs'); ?>
			</div>
	
			<div class="wffn-tabs-content-wrapper" id="wffn_actions_container">
				<div class="wffn_custom_op_setting_inner" id="wffn_global_setting">
	
					<form class="wffn_forms_wrap wffn_forms_global_settings">
						<fieldset>
	
							<!-- vue form generator responsible for the notifications settings -->
	
							<vue-form-generator ref="action_ref" :schema="schemaAction" :model="modelAction" :options="formOptions"></vue-form-generator>
	
							<!-- fieldsets for CRM integration settings -->
							<div class="wffn-integration">
								<div class="vue-form-generator">
									<fieldset>
										<legend><?php esc_html_e( 'CRM', 'funnel-builder' ); ?></legend>
										<div v-if="!wfop.is_wffn_pro_active">
											<p class="no-pro">
												<?php esc_html_e( 'Get pro to enable CRM integration.' ); ?>
												<a target="_blank" href="<?php echo esc_url( 'https://buildwoofunnels.com/exclusive-offer/' ) ?>"><?php esc_html_e( 'Get Pro', 'funnel-builder' ); ?></a>
											</p>
										</div>
	
										<div v-if="wfop.is_wffn_pro_active" class="form-group valid field-radios">
											<label for="optin-form-enable"><span><?php esc_html_e( 'Enable Integration', 'funnel-builder' ); ?></span></label>
											<div class="field-wrap">
												<div class="radio-list">
													<label class=""><input id="optin-form-enable-1" type="radio" name="optin_form_enable" value="true" <?php if ( $is_inti === 'true' ) {
															echo "checked";
														} ?>><?php esc_html_e( 'Yes', 'funnel-builder' ); ?></label>
													<label class=""><input id="optin-form-enable-2" type="radio" name="optin_form_enable" value="false" <?php if ( $is_inti === 'false' ) {
															echo "checked";
														} ?>><?php esc_html_e( 'No', 'funnel-builder' ); ?></label>
												</div>
											</div>
										</div>
										<?php do_action('wfopp_admin_crm_settings',$optin_form_options); ?>
	
									</fieldset>
	
									<!-- learndsh integration html below, if environment found we show the form generator, else show message only
									Since vue-form-generator comes with its own fieldset and legend tags then we are managing it accordingly
									 -->
	
									<div v-if="!wfop.is_wffn_pro_active" class="no-learndash">
										<fieldset>
											<legend><?php esc_html_e( 'Learndash', 'funnel-builder' ); ?></legend>
											<p class="no-pro">
												<?php esc_html_e( 'Get pro to enable Learndash integration.' ); ?>
												<a target="_blank" href="<?php echo esc_url( 'https://buildwoofunnels.com/exclusive-offer/' ) ?>"><?php esc_html_e( 'Get Pro', 'funnel-builder' ); ?></a>
											</p>
										</fieldset>
									</div>
									<div v-else-if="!wfop_action.lms_active" class="no-learndash">
										<fieldset>
											<legend><?php esc_html_e( 'Learndash', 'funnel-builder' ); ?></legend>
											<p class="no-pro">
												<?php esc_html_e( 'Note: Learndash plugin needs to be activated to enable integration.', 'funnel-builder' ); ?>
											</p>
										</fieldset>
									</div>
									<div v-else>
										<vue-form-generator ref="learndash_ref" :schema="schemaLMS" :model="modelLMS" :options="formOptions"></vue-form-generator>
	
									</div>


									<?php do_action('wffn_optin_action_tabs_content')?>


								</div>
							</div>
						</fieldset>
					</form>
					<div style="display: none" id="modal-global-settings_success" data-iziModal-icon="icon-home">
					</div>
					<div class="bwf_form_button">
						<button style="float: left" v-on:click.self="onSubmitActions" id="wffn_optin_form_submit" class="wffn_save_btn_style"><?php esc_html_e( 'Save changes', 'funnel-builder' ); ?></button>
						<span class="wffn_loader_global_save spinner" style="float: left;"></span>
						<span class="wffn_success_msg wffn-hide"></span>
					</div>
				</div>
			</div>
		</div>
	
	</div>
</div>
<?php
include_once dirname( __DIR__ ) . '/models/wffn-edit-optin.php';
?>
<script id="vue-f-button" type="text/x-template" xmlns="http://www.w3.org/1999/html">
	{{schema.type}}
	<a onclick="window.wfop_design.main.onSubmitActions('test')" style="float: left;" class=" email_test button button-primary">Test Email</a>
	{{schema.type}}
</script>

